Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.12 veröffentlicht (22.05.17)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Resizearea-Plugin
#1
Hallo, alle zusammen!

Ich hab mich etwas an dem "Resizearea"-Plugin zuschaffen gemacht, und dachte ich könne diese einfach etwas ummodeln und in mein MyBB 121 übernehmen. Tja, hat nicht geklappt.
Nun mein Problem:

Wenn ich einen Beitrag bearbeiten will, stand zuvor einmal "Inlinebearbeitung" und drunter "Zum Editor" .... nun hat sich dieses "popup" so verkleiner, dass es ungefähr 10x10 Pixel (oder so) sind.
Ich würde diese Funktion gerne wieder in "voller Größe" (original) haben!

Könnt ihr mir helfen?

Liebe Grüße, GM!
Wer eine Wahrheit verbergen will, braucht sie nur offen auszusprechen - sie wird einem ja doch nicht geglaubt.
(Charles Talleyrand)
Zitieren
#2
Von welchem Plugin sprichst du?
Vantage-Forum: http://vantage-forum.de/
Zitieren
#3
Ich poste dir mal hier den Link:

http://mods.mybboard.com/view.php?did=277

Ich lad gerade die neue Version 'runter (wieder Asche auf mein Haupt, dass ich nicht nachgeschaut habe), vielleicht behebt, dass das Problem auch....


Nachtrag: Ne, leider nichts verändert (außer die Funktion des Plugins selbst). Das Feld, wenn ich auf Bearbeiten klicke ist immernoch mini.... *seufz*
Wer eine Wahrheit verbergen will, braucht sie nur offen auszusprechen - sie wird einem ja doch nicht geglaubt.
(Charles Talleyrand)
Zitieren
#4
Welche Funktion, oder welches Template steuert denn dieses Script? - Also wenn ich bei einem Beitrag auf "Bearbeiten" klicke??? ... vielleicht hilft mir das schon etwas weiter....

LG, GM!
Wer eine Wahrheit verbergen will, braucht sie nur offen auszusprechen - sie wird einem ja doch nicht geglaubt.
(Charles Talleyrand)
Zitieren
#5
Das sollte das Template potbit_edit sein.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#6
Hmm, laut Forum ist das Template im Originialzustand.... aber da kann ja was nicht stimmen, wenn es vorher geklappt hat (bevor ich es mal wieder verpatzte), und nun nicht mehr....
Ich poste mal das postbit_edit
Code:
<a href="editpost.php?pid={$post['pid']}" id="edit_post_{$post['pid']}"><img src="{$theme['imglangdir']}/postbit_edit.gif" alt="{$lang->postbit_edit}" title="{$lang->postbit_edit}" /></a>
<script type="text/javascript">
    document.write('<div id="edit_post_{$post['pid']}_popup" class="popup_menu" style="display: none;"><div class="popup_item_container"><a href="javascript:;" onclick="Thread.quickEdit({$post['pid']});" class="popup_item">{$lang->postbit_quick_edit}<\/a><\/div><div class="popup_item_container"><a href="editpost.php?pid={$post['pid']}" class="popup_item">{$lang->postbit_full_edit}<\/a><\/div><\/div>');
    new PopupMenu("edit_post_{$post['pid']}");
</script>

Hmm, ist da was auffällig???
Wer eine Wahrheit verbergen will, braucht sie nur offen auszusprechen - sie wird einem ja doch nicht geglaubt.
(Charles Talleyrand)
Zitieren
#7
Verwendet das Textarea-Plugin vielleicht eine CSS-Klasse mit dem gleichen Namen, die die Formatierung für das Popup-Menü überschreibt?

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#8
Hmm, ich habe nichts ungewöhnliches im Theme entdecken können....

Ich kann das alte Plugin ja mal hochladen, damit ihr es euch anschauen könnt, wenn ihr wollt.
Ich hatte diese IN_MYBB-Dings eingefügt und die "require" Befehle dem neuen Board angepasst ... was aber dummerweise nur die Aktivierung ermöglichte, aber die Funktion nicht bereitstellte und zusätzlich die Bearbeitenfunktion von Beiträgen, dieses kleine Popup, auf minigröße verkleinert hat...

... wollte eigentlich die JavaSciptdatei des alten Plugins auch mitladen, geht aber nicht. Dann poste ich mal den Inhalt, vielleicht ergibt sich daraus ja auch was...

Code:
/**
* Copyright © 2006 CraKteR. Resizeable textareas 1.3 for MyBB.
*/

function resize_textarea(to, id) {
    if(rader < 0) { rader=5; }
    if(kolloner < 0) { kolloner=10; }
    var textarea = fetch_object(id);
    if(to < 0) {
        var newrows = textarea.rows - rader;
        var newcols = textarea.cols - kolloner;
    } else {
        var newrows = textarea.rows + rader;
        var newcols = textarea.cols + kolloner;
    }
    if(newrows >= maxrows) { newrows = maxrows; }
    if(newrows >= minrows) { textarea.rows = newrows; }
    if(newcols >= maxcols) { newcols = maxrows; }
    if(newcols >= mincols) { textarea.cols = newcols; }
    return false;
}

function fetch_object(idname) {
    if (document.getElementById) {
        return document.getElementById(idname);
    } else if (document.all) {
        return document.all[idname];
    } else if (document.layers) {
        return document.layers[idname];
    } else {
        return null;
    }
}


Angehängte Dateien
.php   resize.php (Größe: 10,19 KB / Downloads: 0)
Wer eine Wahrheit verbergen will, braucht sie nur offen auszusprechen - sie wird einem ja doch nicht geglaubt.
(Charles Talleyrand)
Zitieren